html, body {
    min-height: 100%;
    margin: 0;
	font-family: 'Open Sans', sans-serif;	
}    

a {
    color: black;
} 

h1 {
    text-align: center;
}

body {
    text-align: justify;
}

h1, h2 {
    color: #8678e0;
}

ul {
    margin-bottom: 0;
}

/* landing styling*/

#cities_pic {
    margin-top: 3.4%;
    margin-bottom: 2%;
}

#collage {
    display: block;
    margin: 0 auto;
}

.more {
    color: #8678e0;
}

a:hover {
    text-decoration: none;
}

.wrapper_all_wrapper {
    margin-top: 2%;
}

.firstElement_wrapper {
    margin: 0 0 1.5% 6%;
    width: 35%;
    padding: 1%;
    border: 3px solid rgb(106, 84, 249);
    border-radius: 25px;
    float: left;
}

.firstElement_wrapper p {
    padding-top: 2%;    
}

#profPic {
    float: left;
    height: 150px;
    margin-right: 2%;
}

.second_element_wrapper {
    padding: 1%;
    border: 3px solid rgb(106, 84, 249);
    border-radius: 25px;
    width: 52%;
    float: right;
    margin-right: 5%;
}

#myNotebookPic {
    height: 150px;
    float: right;
    margin-left: 2%;
}

.third_element_wrapper {
    border: 3px solid rgb(106, 84, 249);
    border-radius: 25px;
    width: 42%;
    margin: 0.5% 0 0 1.5%;
    clear: both;
    float: left;
    padding: 1%;
}

#blog_pic {
    float: left;
    height: 150px;
    border-radius: 25px;
    margin-right: 2%;
}

.third_element_wrapper p, .firstElement_wrapper p, .second_element_wrapper p, .fourth_element_wrapper p {
    margin: 0;
}

.fourth_element_wrapper {
    border: 3px solid rgb(106, 84, 249);
    border-radius: 25px;
    width: 53%;
    margin: 0.5% 1.5% 0 0;
    float: right;
    padding: 1%;
}

#patPic {
	height: 150px;
    float: right;
    margin-left: 2%;
}

/* about styling*/

.about_wrapper h2 {
    margin: 2% 0 0.5% 0;
}

#secondPar_about ul {
    margin-top: 1%;
}

#firstParAbout {
    padding-top: 3.5%;
}

.about_wrapper a {
    color: #8678e0;
}

#myPic {
    float: left;
    margin: 2% 3% 0% 2%;
    height: 150px;
}

#techniquePic {
    margin: 1% auto 3% auto;
    display: block;
}

#secondPar_about {
    clear: left;
}

#aboutLastP {
    margin-bottom: 2%;
}

ul {
    color: #8678e0;
    margin-top: 0.5%;
}

li span {
    color: black;
}

/*header template styling */

.myLogo {
    margin: 3px 0;
}

.top-navbar {
	padding: 0;
    position: fixed;
    top: 0;
	width: 100%;
    margin-bottom: 10%;
    z-index: 1;
    background:  #6a54f9;
}

.nav-link {
	color: #ffffff;
	font-weight: bold;
    font-size: 1.1em;
}

.navbar-nav {
	padding-right: 0px;
}

/*footer template styling*/

.bottom-nav  {
    text-align: center;
    color: white;
    font-size: 0.9em;
    padding-bottom: 0.5%;   
}

#footer {
    clear: left;
	background: #6a54f9;
    max-height: 100%;
    margin-top: 1.4rem;
    padding-top: 0.3rem;
}

.fa_wrapper li {
    display: inline;
    padding: 0 0.5%;
}

.fa-facebook, .fa-gitlab, .fa-linkedin {
    color: white;
}

.fa_wrapper ul {
    text-align: center;
    padding: 0.7% 0;
}

/*contact view styling */

form {
    width: 50%;
    height: 100%;
    margin: 0 auto;
}

#contactForm {
    margin: 0 auto;
}

input {
    width: 100%;
    border: 2px solid #8678e0;
    border-radius: 50px;
    padding-left: 2em;
}   

textarea {
    width: 100%;
    height: 300px;
    border: 2px solid #8678e0;
    border-radius: 50px;
    padding-left: 2em;
}

.contactText {
    text-align: center;
    margin-top: 2%;
}

form div {
    margin: 1em 0 0.2em 0;
    font-weight: bold;
}

#contactForm button {
    width: 40%;
    height: 2.5rem;
    margin: 0 30%;
    font-weight: bold;
    background-color: #8678e0;
    border-radius: 50px;
    border: 0 solid white;
    color: white;
    font-size: 1.5rem;
}

textarea:focus {
    outline-style: none;
}

input[type=text]:focus, input[type=email]:focus {
    outline-style: none;
}
    
button:focus {
    outline: 0 !important;
}

.alert {
    margin-top: 1.25rem;
}

.alert div {
    text-align: center;
    width: 50%;
    margin: 0 auto;
}

hr {
     margin: 0;
     border: 0; 
     height: 2.5px; 
     background-image: linear-gradient(to right, rgba(134, 120, 224, 0), rgba(134, 120, 224, 0.75), rgba(134, 120, 224, 0));
}

#bottomhr {
    margin-top: 1.5%;
}

.firstElement {
	margin-top: 1.5%;
    height: 100%; 
    text-align: center;
} 

.firstElement p {
    margin: 0 0;
}
    
/*blog show styling*/

#cover_book {
    margin: 0.5% 3% 1% 0;
    float: left;
}

#show_Title {
    margin-top: 8%;
    text-align: left;
}

.post {
    min-height: 784px;
}

.fa-star {
    color: #6a54f9;
}

#tags {
    float: left;
}

.post a {
    color: #8678e0;
}

#tags a {
    font-weight: bold;
}

#date {
    float: right; 
}

/*blog index styling*/

.title_container {
    margin-bottom: 2%;
}

#titles_wrapper {
    margin: 100px auto 0px auto;   
}

.title_container img {
    margin: 0 auto;
    display: block;
}

.line_below_pic_index {
    width: 80%;
    margin: 0 auto;
    text-align: center;
    color: black;
}

.index_text_below_pic {
    margin-top: 5%;
}

.line_below_pic_index:last-child {
    font-size: 0.9rem;
}

#titles_wrapper h1 {
    text-align: center;
    margin-bottom: 2%;
}

/* portfolio styling*/

.portfolio_description_wrapper {
    margin: 3% 10%;
}

iframe {
    float: right;
    margin-left: 9%;
    margin-top: 3%;
}

.after_iframe {
    clear: right;
}

.portfolio_wrapper {
    margin-top: 6%;
}

.portfolio_wrapper h1 {
    margin-bottom: 3%;
}

.portfolio_wrapper a {
    color: #8678e0;
}
